REM This PowerShell script will generate a list of installed programs for Windows systems.
REM Tim Preuss 4/30/2015
REM Tested good on Windows 7
REM Tested good on Windows 8.1
REM Tested good on Windows XP x86
REM Modified for version 1 release on 5/1/2015

REM This works for x64 systems.
REM  http://blogs.msdn.com/b/powershell/archive/2009/11/15/i-can-do-that-with-1-line-of-powershell-installed-software.aspx
REM  comments Doug
REM  This executes a powershell command to search the registry uninstall entries for installed programs.
powershell -command "gp HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*,HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, DisplayVersion, Publisher, InstallDate, HelpLink, UninstallString | Export-Csv software_rpt01.csv"

REM http://software-inventory.net/installed-software-audit
REM the wmic command generates a list of programs installed using msi, this may not be everthing.
wmic /output:software_rpt02.csv product get name,version,description  /format:csv 

REM This queries the registry, just in case the powershell command does not find anything
REM This simply repeated the information from above, no new software was found.
REMA reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall" /s > software_rpt03.txt

REM Not every program is installed, this will search the c:\users for *.exe and *.com files
REM would documents and downloads do the trick?
dir c:\users\*.exe /s /b /o N > software_rpt04.txt
dir c:\users\*.com /s /b /o N >> software_rpt04.txt

REM Not every program is installed, this will search the c:\Documents and Settings for *.exe and *.com files
dir "c:\Documents and Settings\*.exe" /s /b /o N >> software_rpt04.txt
dir "c:\Documents and Settings\*.com" /s /b /o N >> software_rpt04.txt

REM Report the computer name and combine reports
echo "This is the reported userdomain." > software_rpt_master.txt
echo %USERDOMAIN% >> software_rpt_master.txt
echo "This is the date and time of the report creation."
date /T  >> software_rpt_master.txt
time /T  >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
echo "This is the report from HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*,HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*" >> software_rpt_master.txt
echo  " " >> software_rpt_master.txt
type software_rpt01.csv >> software_rpt_master.txt
echo "  " >> software_rpt_master.txt
echo "This is the wmic product report" >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
type software_rpt02.csv >> software_rpt_master.txt
echo "  " >> software_rpt_master.txt
REM echo "This is a reg query report of HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall" >> software_rpt_master.txt
echo "  " >> software_rpt_master.txt
REM type software_rpt03.txt >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
echo "This is the results of looking for *.exe and *.com file in c:\users" >> software_rpt_master.txt and c:\Documents and Settings
echo "This is not a csv format." >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
type software_rpt04.txt  >> software_rpt_master.txt
echo " " >> software_rpt_master.txt
echo "This is the end of the report"  >> software_rpt_master.txt
REM This will delete the temporary files used to create the report.
del software_rpt0*.*

notepad  software_rpt_master.txt